--
-- PostgreSQL database dump
--

-- Dumped from database version 9.1.24
-- Dumped by pg_dump version 10.6 (Ubuntu 10.6-0ubuntu0.18.04.1)

--
-- Name: postgrad_students_view; Type: VIEW; Schema: public; Owner: cen1001
--

CREATE VIEW public.postgrad_students_view AS
SELECT postgraduate_studentship.id, postgraduate_studentship.person_id, person.surname AS ro_surname, person.first_names AS ro_first_names, (_postgrad_end_dates_v5.status_id)::text AS ro_role_status_id, person.email_address AS ro_email_address, postgraduate_studentship.postgraduate_studentship_type_id, postgraduate_studentship.part_time, postgraduate_studentship.first_supervisor_id AS supervisor_id, postgraduate_studentship.second_supervisor_id AS co_supervisor_id, postgraduate_studentship.external_co_supervisor, postgraduate_studentship.substitute_supervisor_id, postgraduate_studentship.first_mentor_id AS mentor_id, postgraduate_studentship.second_mentor_id AS co_mentor_id, postgraduate_studentship.external_mentor, postgraduate_studentship.next_mentor_meeting_due, postgraduate_studentship.university, person.cambridge_college_id, postgraduate_studentship.cpgs_title AS cpgs_title_html, postgraduate_studentship.msc_title AS msc_title_html, postgraduate_studentship.mphil_title AS mphil_title_html, postgraduate_studentship.phd_thesis_title AS phd_thesis_title_html, postgraduate_studentship.paid_through_payroll, postgraduate_studentship.emplid_number, postgraduate_studentship.gaf_number, postgraduate_studentship.start_date, person.leaving_date, postgraduate_studentship.cpgs_or_mphil_date_submission_due, postgraduate_studentship.cpgs_or_mphil_date_submitted, postgraduate_studentship.cpgs_or_mphil_date_awarded, postgraduate_studentship.mphil_date_submission_due, postgraduate_studentship.mphil_date_submitted, postgraduate_studentship.mphil_date_awarded, postgraduate_studentship.msc_date_submission_due, postgraduate_studentship.msc_date_submitted, postgraduate_studentship.msc_date_awarded, postgraduate_studentship.date_registered_for_phd, postgraduate_studentship.phd_date_title_approved, postgraduate_studentship.thesis_submission_due_date, postgraduate_studentship.end_of_registration_date AS phd_four_year_submission_date, postgraduate_studentship.date_phd_submission_due, postgraduate_studentship.phd_date_submitted, postgraduate_studentship.phd_date_examiners_appointed, postgraduate_studentship.phd_date_of_viva, postgraduate_studentship.phd_date_awarded, postgraduate_studentship.date_withdrawn_from_register, postgraduate_studentship.date_reinstated_on_register, postgraduate_studentship.intended_end_date, postgraduate_studentship.filemaker_funding AS funding, postgraduate_studentship.filemaker_fees_funding AS fees_funding, postgraduate_studentship.funding_end_date, _postgrad_end_dates_v5.phd_duration AS ro_phd_duration, _postgrad_end_dates_v5.phd_duration_days AS ro_phd_duration_days, postgraduate_studentship.progress_notes, postgraduate_studentship.hesa_leaving_code, postgraduate_studentship.force_role_status_to_past, sector.name AS ro_sector, CASE WHEN ((_postgrad_end_dates_v5.status_id)::text = 'Past'::text) THEN 'orange'::text ELSE NULL::text END AS _hl_status FROM (((((public.postgraduate_studentship JOIN public._postgrad_end_dates_v5 USING (id)) JOIN public.person ON ((postgraduate_studentship.person_id = person.id))) LEFT JOIN public.mm_person_research_group ON ((person.id = mm_person_research_group.person_id))) LEFT JOIN public.research_group ON ((research_group.id = mm_person_research_group.research_group_id))) LEFT JOIN public.sector ON ((research_group.sector_id = sector.id))) ORDER BY person.surname, person.first_names;


ALTER TABLE public.postgrad_students_view OWNER TO cen1001;

--
-- Name: postgrad_students_view postgrad_students_del; Type: RULE; Schema: public; Owner: cen1001
--

CREATE RULE postgrad_students_del AS ON DELETE TO public.postgrad_students_view DO INSTEAD DELETE FROM public.postgraduate_studentship WHERE (postgraduate_studentship.id = old.id);


--
-- Name: postgrad_students_view postgrad_students_ins; Type: RULE; Schema: public; Owner: cen1001
--

CREATE RULE postgrad_students_ins AS ON INSERT TO public.postgrad_students_view DO INSTEAD (UPDATE public.person SET cambridge_college_id = new.cambridge_college_id, leaving_date = new.leaving_date WHERE (person.id = new.person_id); INSERT INTO public.postgraduate_studentship (id, person_id, postgraduate_studentship_type_id, part_time, first_supervisor_id, second_supervisor_id, external_co_supervisor, substitute_supervisor_id, first_mentor_id, second_mentor_id, external_mentor, next_mentor_meeting_due, university, cpgs_title, msc_title, mphil_title, phd_thesis_title, paid_through_payroll, emplid_number, gaf_number, start_date, cpgs_or_mphil_date_submission_due, cpgs_or_mphil_date_submitted, cpgs_or_mphil_date_awarded, mphil_date_submission_due, mphil_date_submitted, mphil_date_awarded, msc_date_submission_due, msc_date_submitted, msc_date_awarded, date_registered_for_phd, phd_date_title_approved, thesis_submission_due_date, end_of_registration_date, date_phd_submission_due, phd_date_submitted, phd_date_examiners_appointed, phd_date_of_viva, phd_date_awarded, date_withdrawn_from_register, date_reinstated_on_register, intended_end_date, filemaker_funding, filemaker_fees_funding, funding_end_date, progress_notes, hesa_leaving_code, force_role_status_to_past) VALUES (nextval('public.postgraduate_studentship_id_seq'::regclass), new.person_id, new.postgraduate_studentship_type_id, new.part_time, new.supervisor_id, new.co_supervisor_id, new.external_co_supervisor, new.substitute_supervisor_id, new.mentor_id, new.co_mentor_id, new.external_mentor, new.next_mentor_meeting_due, new.university, new.cpgs_title_html, new.msc_title_html, new.mphil_title_html, new.phd_thesis_title_html, new.paid_through_payroll, new.emplid_number, new.gaf_number, new.start_date, new.cpgs_or_mphil_date_submission_due, new.cpgs_or_mphil_date_submitted, new.cpgs_or_mphil_date_awarded, new.mphil_date_submission_due, new.mphil_date_submitted, new.mphil_date_awarded, new.msc_date_submission_due, new.msc_date_submitted, new.msc_date_awarded, new.date_registered_for_phd, new.phd_date_title_approved, new.thesis_submission_due_date, new.phd_four_year_submission_date, new.date_phd_submission_due, new.phd_date_submitted, new.phd_date_examiners_appointed, new.phd_date_of_viva, new.phd_date_awarded, new.date_withdrawn_from_register, new.date_reinstated_on_register, new.intended_end_date, new.funding, new.fees_funding, new.funding_end_date, new.progress_notes, new.hesa_leaving_code, new.force_role_status_to_past) RETURNING postgraduate_studentship.id, postgraduate_studentship.person_id, NULL::character varying(32) AS "varchar", NULL::character varying(32) AS "varchar", NULL::text AS text, NULL::character varying(48) AS "varchar", postgraduate_studentship.postgraduate_studentship_type_id, postgraduate_studentship.part_time, postgraduate_studentship.first_supervisor_id, postgraduate_studentship.second_supervisor_id, postgraduate_studentship.external_co_supervisor, postgraduate_studentship.substitute_supervisor_id, postgraduate_studentship.first_mentor_id, postgraduate_studentship.second_mentor_id, postgraduate_studentship.external_mentor, postgraduate_studentship.next_mentor_meeting_due, postgraduate_studentship.university, NULL::bigint AS int8, postgraduate_studentship.cpgs_title, postgraduate_studentship.msc_title, postgraduate_studentship.mphil_title, postgraduate_studentship.phd_thesis_title, postgraduate_studentship.paid_through_payroll, postgraduate_studentship.emplid_number, postgraduate_studentship.gaf_number, postgraduate_studentship.start_date, NULL::date AS date, postgraduate_studentship.cpgs_or_mphil_date_submission_due, postgraduate_studentship.cpgs_or_mphil_date_submitted, postgraduate_studentship.cpgs_or_mphil_date_awarded, postgraduate_studentship.mphil_date_submission_due, postgraduate_studentship.mphil_date_submitted, postgraduate_studentship.mphil_date_awarded, postgraduate_studentship.msc_date_submission_due, postgraduate_studentship.msc_date_submitted, postgraduate_studentship.msc_date_awarded, postgraduate_studentship.date_registered_for_phd, postgraduate_studentship.phd_date_title_approved, postgraduate_studentship.thesis_submission_due_date, postgraduate_studentship.end_of_registration_date AS phd_four_year_submission_date, postgraduate_studentship.date_phd_submission_due, postgraduate_studentship.phd_date_submitted, postgraduate_studentship.phd_date_examiners_appointed, postgraduate_studentship.phd_date_of_viva, postgraduate_studentship.phd_date_awarded, postgraduate_studentship.date_withdrawn_from_register, postgraduate_studentship.date_reinstated_on_register, postgraduate_studentship.intended_end_date, postgraduate_studentship.filemaker_funding, postgraduate_studentship.filemaker_fees_funding, postgraduate_studentship.funding_end_date, (btrim((age((postgraduate_studentship.phd_date_submitted)::timestamp with time zone, (postgraduate_studentship.date_registered_for_phd)::timestamp with time zone))::text, '@ '::text))::character varying(30) AS btrim, NULL::integer AS int4, postgraduate_studentship.progress_notes, postgraduate_studentship.hesa_leaving_code, postgraduate_studentship.force_role_status_to_past, NULL::character varying(80) AS "varchar", NULL::text AS text; );


--
-- Name: postgrad_students_view postgrad_students_upd; Type: RULE; Schema: public; Owner: cen1001
--

CREATE RULE postgrad_students_upd AS ON UPDATE TO public.postgrad_students_view DO INSTEAD (UPDATE public.postgraduate_studentship SET postgraduate_studentship_type_id = new.postgraduate_studentship_type_id, part_time = new.part_time, first_supervisor_id = new.supervisor_id, second_supervisor_id = new.co_supervisor_id, external_co_supervisor = new.external_co_supervisor, substitute_supervisor_id = new.substitute_supervisor_id, first_mentor_id = new.mentor_id, second_mentor_id = new.co_mentor_id, external_mentor = new.external_mentor, next_mentor_meeting_due = new.next_mentor_meeting_due, university = new.university, cpgs_title = new.cpgs_title_html, msc_title = new.msc_title_html, mphil_title = new.mphil_title_html, phd_thesis_title = new.phd_thesis_title_html, paid_through_payroll = new.paid_through_payroll, emplid_number = new.emplid_number, gaf_number = new.gaf_number, start_date = new.start_date, cpgs_or_mphil_date_submission_due = new.cpgs_or_mphil_date_submission_due, cpgs_or_mphil_date_submitted = new.cpgs_or_mphil_date_submitted, cpgs_or_mphil_date_awarded = new.cpgs_or_mphil_date_awarded, mphil_date_submission_due = new.mphil_date_submission_due, mphil_date_submitted = new.mphil_date_submitted, mphil_date_awarded = new.mphil_date_awarded, msc_date_submission_due = new.msc_date_submission_due, msc_date_submitted = new.msc_date_submitted, msc_date_awarded = new.msc_date_awarded, date_registered_for_phd = new.date_registered_for_phd, phd_date_title_approved = new.phd_date_title_approved, thesis_submission_due_date = new.thesis_submission_due_date, end_of_registration_date = new.phd_four_year_submission_date, date_phd_submission_due = new.date_phd_submission_due, phd_date_submitted = new.phd_date_submitted, phd_date_examiners_appointed = new.phd_date_examiners_appointed, phd_date_of_viva = new.phd_date_of_viva, phd_date_awarded = new.phd_date_awarded, date_withdrawn_from_register = new.date_withdrawn_from_register, date_reinstated_on_register = new.date_reinstated_on_register, intended_end_date = new.intended_end_date, filemaker_funding = new.funding, filemaker_fees_funding = new.fees_funding, funding_end_date = new.funding_end_date, progress_notes = new.progress_notes, hesa_leaving_code = new.hesa_leaving_code, force_role_status_to_past = new.force_role_status_to_past WHERE (postgraduate_studentship.id = old.id); UPDATE public.person SET cambridge_college_id = new.cambridge_college_id, leaving_date = new.leaving_date WHERE (person.id = new.person_id); );


--
-- Name: TABLE postgrad_students_view; Type: ACL; Schema: public; Owner: cen1001
--

REVOKE ALL ON TABLE public.postgrad_students_view FROM PUBLIC;
REVOKE ALL ON TABLE public.postgrad_students_view FROM cen1001;
GRANT ALL ON TABLE public.postgrad_students_view TO cen1001;
GRANT ALL ON TABLE public.postgrad_students_view TO dev;
GRANT SELECT ON TABLE public.postgrad_students_view TO mgmt_ro;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE public.postgrad_students_view TO student_management;
GRANT SELECT ON TABLE public.postgrad_students_view TO student_management_ro;


--
-- PostgreSQL database dump complete
--

